- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# TexEnvFilter File Reference

`#include <osg/GL>`
`#include <osg/StateAttribute>`

Include dependency graph for TexEnvFilter:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | osg
## Classes
class | osg::TexEnvFilter
| TexEnvFilter - encapsulates the OpenGL glTexEnv (GL_TEXTURE_FILTER_CONTROL) state. More...
## Defines
#define | OSG_TEXENVFILTER 1
#define | GL_MAX_TEXTURE_LOD_BIAS_EXT 0x84FD
#define | GL_TEXTURE_FILTER_CONTROL_EXT 0x8500
#define | GL_TEXTURE_LOD_BIAS_EXT 0x8501

## Define Documentation

#define GL_MAX_TEXTURE_LOD_BIAS_EXT 0x84FD

#define GL_TEXTURE_FILTER_CONTROL_EXT 0x8500

#define GL_TEXTURE_LOD_BIAS_EXT 0x8501

#define OSG_TEXENVFILTER 1